Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1393421 - perl-Error broke the most of perl apps.
Summary: perl-Error broke the most of perl apps.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-09 14:08 UTC by Mustafa Yalcin Acikyildiz
Modified: 2018-11-12 12:28 UTC (History)
9 users (show)

Fixed In Version: perl-5.24.0-380.fc26 perl-5.22.2-364.fc24 perl-5.24.0-379.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-11 20:52:09 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1648489 None NEW Errno architecture does not match executable architecture at /usr/lib64/perl5/Errno.pm line 12 2019-03-31 15:32:53 UTC

Internal Links: 1648489

Description Mustafa Yalcin Acikyildiz 2016-11-09 14:08:50 UTC
Description of problem:
when i try to run `cpan` it gives me:

Errno architecture (x86_64-linux-thread-multi-4.7.9-200.fc24.x86_64) does not match executable architecture (x86_64-linux-thread-multi-4.6.4-301.fc24.x86_64) at /usr/lib64/perl5/Errno.pm line 11.


Version-Release number of selected component (if applicable):
Fedora 25


How reproducible:
Always

Steps to Reproduce:
1. cpan

Additional info:
current kernel version is 4.8.6-300.fc25.x86_64 #1 SMP Tue Nov 1 12:36:38 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux.

Comment 1 Petr Pisar 2016-11-09 14:34:16 UTC
Thank you for the report. This is probably caused by updating perl-Errno without perl-libs or vice versa. What are releases of the two packages on your system? Fully updated system should have:

$ rpm -q perl-libs perl-Errno
perl-libs-5.22.2-363.fc24.x86_64
perl-Errno-1.23-363.fc24.x86_64

Comment 2 Mustafa Yalcin Acikyildiz 2016-11-09 14:43:13 UTC
Hello. i just install f25 kde spin a few hours ago and then i did complete system upgrade with `dnf upgrade`

here is the output.
perl-libs-5.24.0-377.fc25.x86_64
perl-Errno-1.25-378.fc25.x86_64

Comment 3 Petr Pisar 2016-11-09 14:58:21 UTC
(In reply to Mustafa Yalcin Acikyildiz from comment #2)
> perl-libs-5.24.0-377.fc25.x86_64
> perl-Errno-1.25-378.fc25.x86_64

That's also wrong. Both of them should have the same release number (378.fc25 in your case). Can you do the upgrade explicitly (dnf upgrade perl-libs) or does something prevents from upgrading perl-libs to the higher release?

Comment 4 Petr Pisar 2016-11-09 15:22:21 UTC
I will add an explicit dependency from perl-Errno to perl-libs on the same perl-libs release. This should prevent from occurring this bug in the future.

But this cannot fix the issue for already existing systems with half-updated system. There is no way how to retroactively correct it. Users experiencing this bug are recommended to update perl-Errno and perl-libs to the same release number.

Comment 5 Petr Pisar 2016-11-09 15:23:35 UTC
Fedora ≥ 24 is affected.

Comment 6 Mustafa Yalcin Acikyildiz 2016-11-09 15:35:05 UTC
there is no update for perl-libs

i tried to reinstall the package it installed release .377 again

reinstalling perl-Errno throws me error "Installed package perl-Errno-1.25-378.fc25.x86_64 (from updates-testing) not available."

could it be mirror related problem?

Comment 7 Mustafa Yalcin Acikyildiz 2016-11-09 15:48:28 UTC
downgrading to perl-Errno-1.25-377.fc25.x86_64 resolve the problem.

thank you!

Comment 8 Petr Pisar 2016-11-09 16:01:03 UTC
Yes, it sounds like a mirror problem. But it shouldn't behave like this even with a broken mirror.

DNF downloads a signature for current repository database directly from Fedora's HTTPS server. Then it tries different mirrors to download the database, then it verifies the database and then it downloads packages from various mirrors and checks them against the database. If something does not match, it retries from different mirror.

Either it's a bug in the DNF or the repository was broken even on Fedora's master server. You can add --refresh option to the dnf command to force redownloading latest database.

Downgrading perl-Errno is also an option.

Comment 9 Fedora Update System 2016-11-09 16:02:14 UTC
perl-5.24.0-379.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab7085b1f4

Comment 10 Fedora Update System 2016-11-09 16:02:29 UTC
perl-5.22.2-364.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cf2994d15

Comment 11 Mustafa Yalcin Acikyildiz 2016-11-09 20:06:39 UTC
no hope even with dnf clean all.

is there way to query perl-libs package on fedora repos?

Comment 12 Petr Pisar 2016-11-10 08:43:10 UTC
# LANG=en_US.UTF-8 dnf repoquery --queryformat '%{name}-%{evr}.%{arch} %{repoid}' perl-libs
Last metadata expiration check: 16:41:03 ago on Wed Nov  9 16:58:42 2016.
perl-libs-4:5.22.2-359.fc24.i686 fedora
perl-libs-4:5.22.2-359.fc24.x86_64 fedora
perl-libs-4:5.22.2-362.fc24.i686 updates
perl-libs-4:5.22.2-362.fc24.x86_64 updates
perl-libs-4:5.22.2-363.fc24.i686 updates-testing
perl-libs-4:5.22.2-363.fc24.x86_64 @System
perl-libs-4:5.22.2-363.fc24.x86_64 updates-testing

This will query the repository databases downloaded to your system.

If you would like to query database on the master mirror, you would have to supply its URI that I don't know.

Comment 13 Fedora Update System 2016-11-10 19:26:20 UTC
perl-5.24.0-379.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab7085b1f4

Comment 14 Fedora Update System 2016-11-11 05:00:55 UTC
perl-5.22.2-364.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cf2994d15

Comment 15 Fedora Update System 2016-11-11 20:52:09 UTC
perl-5.22.2-364.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-11-19 21:15:13 UTC
perl-5.24.0-379.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.